<?php
/**
 * @category   Newsroom
 * @package    Newsroom_Pressrelease
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Newsroom\Pressrelease\Block;

use Magento\Cms\Model\Template\FilterProvider;
use Magento\Framework\View\Element\Template\Context;
use Newsroom\Pressrelease\Model\PressreleaseFactory;

/**
 * Pressrelease View block
 */
class PressreleaseView extends \Magento\Framework\View\Element\Template {
	/**
	 * @var Pressrelease
	 */
	protected $_pressrelease;
	public function __construct(
		Context $context,
		PressreleaseFactory $pressrelease,
		FilterProvider $filterProvider
	) {
		$this->_pressrelease = $pressrelease;
		$this->_filterProvider = $filterProvider;
		parent::__construct($context);
	}

	public function _prepareLayout() {
		
		$item = $this->getSingleData();
		if($item){
			$this->pageConfig->getTitle()->set($item->getTitle());	
		}else{
			$this->pageConfig->getTitle()->set(__('PRESS RELEASE'));
		}
		return parent::_prepareLayout();
	}

	public function getSingleData() {
		$id = $this->getRequest()->getParam('id');
		$pressrelease = $this->_pressrelease->create();
		$singleData = $pressrelease->load($id);
		if ($singleData->getPressreleaseId() || $singleData['pressrelease_id'] && $singleData->getStatus() == 1) {
			return $singleData;
		} else {
			return false;
		}
	}
}